This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 750925 - libpeas is missing a dependency on pygobject3
libpeas is missing a dependency on pygobject3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpeas (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 16:22 EDT by seth vidal
Modified: 2015-07-14 11:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: libpeas-1.14.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-03 04:52:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description seth vidal 2011-11-02 16:22:14 EDT
Description of problem:
when I try to load the python console in rhythmbox in f16rc4  - it dies with:


(rhythmbox:15654): libpeas-WARNING **: Error initializing Python Plugin Loader:PyGObject initialization failed
ImportError: could not import gobject (error was: 'No module named gi._gobject')

(rhythmbox:15654): libpeas-WARNING **: Please check the installation of all the Python related packages required by libpeas and try again

(rhythmbox:15654): libpeas-WARNING **: Loader 'python' is not a valid PeasPluginLoader instance

(rhythmbox:15654): libpeas-WARNING **: Could not find loader 'python' for plugin 'pythonconsole'



However, if I install pygobject3 it works properly - so maybe this is a trivial dependency change for libpeas.
Comment 1 Fedora End Of Life 2013-01-16 07:01:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 06:49:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 David King 2015-06-25 06:52:41 EDT
This is still present in rawhide (and all other stable Fedora versions). The package which provides the Python loader (currently libpeas itself, although this may change with the splits proposed in bug 1226879) should also add a Requires on pygobject3.
Comment 4 David King 2015-07-03 04:52:52 EDT
Fixed in Rawhide.
Comment 5 Fedora Update System 2015-07-06 06:45:33 EDT
libpeas-1.14.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libpeas-1.14.0-2.fc22
Comment 6 Fedora Update System 2015-07-14 11:30:30 EDT
libpeas-1.14.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.